CC=gcc
CPP=gcc
VERSION=1.16.1
OPTIM=-O2
CFLAGS=-Wall -W $(OPTIM) -pedantic -DVERSION=\"$(VERSION)\"

ARCHDIR=archives/
ARCHNAME=pipes-$(VERSION)
ARCHFILES=plis.c txt.txt ChangeLog Examples cat.h progdesc.php \
          COPYING

PROG=plis
ADDIS=pcon
BINDIR=/usr/local/bin
INSTALL=install
INSTALLPROGS=${PROG} ${ADDIS}
DEPFUN_INSTALL=1

all: ${PROG} ${ADDIS}

${ADDIS}: ${PROG}
	ln -f $^ $@

${PROG}: plis.o

install: install${DEPFUN_INSTALL}
	- (cd ${BINDIR}; rm -f ${ADDIS}; ln -f ${PROG} ${ADDIS})
deinstall: uninstall
uninstall: uninstall${DEPFUN_INSTALL}

clean:
	rm -f ${INSTALLPROGS}
distclean: clean
	rm -f *~ core
realclean: distclean

include depfun.mak
